Bug 1202369 (CVE-2015-0208) - CVE-2015-0208 openssl: segmentation fault for invalid PSS parameters
Summary: CVE-2015-0208 openssl: segmentation fault for invalid PSS parameters
Status: CLOSED NOTABUG
Alias: CVE-2015-0208
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150319,repor...
Keywords: Security
Depends On:
Blocks: 1202442
TreeView+ depends on / blocked
 
Reported: 2015-03-16 13:39 UTC by Martin Prpič
Modified: 2015-07-14 14:08 UTC (History)
47 users (show)

Fixed In Version: openssl 1.0.2a
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-18 03:42:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Prpič 2015-03-16 13:39:19 UTC
The signature verification routines will crash with a NULL pointer dereference if presented with an ASN.1 signature using the RSA PSS algorithm and invalid parameters. Since these routines are used to verify certificate signature algorithms, this flaw can be used to crash any certificate verification operation and exploited in a DoS attack. Any application which performs certificate verification is vulnerable including OpenSSL clients and servers which enable client authentication.

This issue affects OpenSSL versions 1.0.2, and is fixed in version 1.0.2a.

Acknowledgements:

Red Hat would like to thank the OpenSSL project for reporting this issue. Upstream acknowledges Stephen Henson of the OpenSSL development team as the original reporter.

Comment 1 Huzaifa S. Sidhpurwala 2015-03-18 03:42:07 UTC
Statement:

This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 5, 6, and 7.


Note You need to log in before you can comment on or make changes to this bug.